Bug 1033676 - Incorrect directory for jar file
Summary: Incorrect directory for jar file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opencsv
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Huang
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-22 15:23 UTC by Mary Ellen Foster
Modified: 2013-12-14 02:49 UTC (History)
1 user (show)

Fixed In Version: opencsv-2.3-9.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-14 02:49:31 UTC


Attachments (Terms of Use)

Description Mary Ellen Foster 2013-11-22 15:23:13 UTC
Description of problem:
opencsv.jar is in /usr/lib/java, not /usr/share/java. As far as I can see, that should only be the case if it makes use of JNI, which I'm fairly confident isn't the case for this library.

Version-Release number of selected component (if applicable):
opencsv-2.3-8.fc20.noarch

Additional info:
The jar file used to be in /usr/share until quite recently.

Comment 1 Mary Ellen Foster 2013-11-22 15:28:42 UTC
Additional information from #fedora-java on IRC:

[15:24] <sochotni> rgrunber: that was a bug in XMvn
[15:24] <sochotni> mefoster: it will need a rebuild
[15:25] <sochotni> mefoster: I am sure if you check koji build logs it will have different javapackages-tools installed
[15:25] <sochotni> it was a config problem

So it should be fixable just by just bumping the version and rebuilding in F20.

Comment 2 Fedora Update System 2013-11-26 04:35:47 UTC
opencsv-2.3-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/opencsv-2.3-9.fc20

Comment 3 Fedora Update System 2013-11-26 18:00:14 UTC
Package opencsv-2.3-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing opencsv-2.3-9.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22159/opencsv-2.3-9.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-12-14 02:49:31 UTC
opencsv-2.3-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.